#!/bin/bash

echo "Waiting for db..."
wait-for-it db:5432 --strict --timeout=0
echo "Waiting for redis..."
wait-for-it redis:6379 --strict --timeout=0

if [ $# -eq 0 ]; then
    venv/bin/python nopaque.py
elif [ $1 == "flask" ]; then
    venv/bin/python -m $@
else
    echo "Unknown command"
fi
